import { ZdPage } from '@zeedhi/vue';

const routes = [
	{
		path: '/',
		redirect: '/dashboard',
	},
	{
		path: '/dashboard',
		name: 'dashboard',
		component: ZdPage,
		props: () => ({
			path: 'dashboard/index',
			local: true,
		}),
	},
	{
		path: '/modules/:module/:page',
		name: 'microservice',
		component: () => import('../views/Microservice.vue'),
	},
	{
		path: '*',
		component: ZdPage,
		props: {
			path: 'notfound',
			local: true,
		},
	},
];

export default routes;
